ScummVM logo Forum Index - ScummVM website - Contact us - Buy Supported Games: GOG.com Rules - Search - Register - Login curved edge
Folder Forum Index > Maemo Port > Kyrandia 1 - cannot start it! [almost SOLVED]
Kyrandia 1 - cannot start it! [almost SOLVED]
  Author    Thread Reply to topic
migdal-or



Joined: 19 Jan 2010
Posts: 6
Kyrandia 1 - cannot start it! [almost SOLVED] 

The laucher says "You're missing the 'KYRA.DAT' file or it got corrupted, (re)get it from the ScummVM website" when I try launching Legend of Kyrandia 1.
ScummVM 1.0.0 (Dec 2 2009 14:22:04).
I tried about 15 KYRA.DAT file versions from this archive.

The ScummVM version on my Ubuntu box is 0.11.1 (Mar 7 2008) and it runs the same game successfully after loading kyra.dat version 17. Well, it says to command prompt about which version it wants.

The Dosbox runs the same game on N800 perfectly. But VEEERY slow.

P.S. After rolling DOWN ScummVM version on N800 to 0.11.99 I got the message that it requires version 32!
I found it in the archive as Revision 32075, so I can play Kyrandia with an outdated ScummVM!
What's wrong with the most current KYRA.DAT file in conjunction to ScummVM 1?[/url]

 Reply with quote  
Post Tue Jan 19, 2010 10:27 pm 
 View user's profile Send private message Send e-mail
eriktorbjorn
ScummVM Developer


Joined: 31 Oct 2005
Posts: 3288
Re: Kyrandia 1 - cannot start it! [almost SOLVED] 

I thought the appropriate kyra.dat file was included with ScummVM, but maybe the Maemo port is different in this respect?

 Reply with quote  
Post Tue Jan 19, 2010 11:13 pm 
 View user's profile Send private message
migdal-or



Joined: 19 Jan 2010
Posts: 6
 

Nope! I got an answer: due to mystical reasons I need the file which is not even listed at an archive, revision 45738.
Yes, the game works with it!

Yes, I repeat, version 0.11/Linux works with 17th release of kyra.dat file. Version 0.11.99/maemo works with 32th. Version 1.00.00/maemo works with some other file.

AAAAAAAAARGH! Why is there all this harm? How can the user know which file to get? Why does the scummvm 1.00 never say the file it wants?

 Reply with quote  
Post Wed Jan 20, 2010 7:45 am 
 View user's profile Send private message Send e-mail
fingolfin
Retired


Joined: 21 Sep 2005
Posts: 1466
 

You don't have to know the revision, you can simply use <http://scummvm.svn.sourceforge.net/viewvc/scummvm/scummvm/tags/release-1-0-0/dists/engine-data/kyra.dat>

Which is the version shipped with version 1.0.0 (and tagged as such).

And for version 0.11, you need

http://scummvm.svn.sourceforge.net/viewvc/scummvm/scummvm/tags/release-0-11-0/dists/engine-data/kyra.dat

This is quite simple, but the best is: A user *does not need to know* this, because the kyra.dat version for the latest official ScummVM release is linked to on our downloads page! If you really need to use an old ScummVM version, then for many of the binaries, the required version is bundled. If for some reason a binary package does *not* include kyra.dat, then one can ask here, and get the very simple to generalize link I gave above Smile.

 Reply with quote  
Post Wed Jan 20, 2010 11:03 am 
 View user's profile Send private message
migdal-or



Joined: 19 Jan 2010
Posts: 6
 

Okay, you're right.
I did not get kyra.dat with binary packages for maemo and ubuntu, this is because of debian software packages system, so I had to search for them by myself, and the googling did not help at all.
Thanks for the link.
I believe it would be handy to describe the situation, that's not a single problem, I saw posts at the forum with the same lockout, and they did not receive a solution. I have done it at my livejournal blog, and will update it soon both in English and in my native language - Russian.

 Reply with quote  
Post Wed Jan 20, 2010 12:30 pm 
 View user's profile Send private message Send e-mail
eriktorbjorn
ScummVM Developer


Joined: 31 Oct 2005
Posts: 3288
 

quote:
Originally posted by migdal-or

I did not get kyra.dat with binary packages for maemo and ubuntu, this is because of debian software packages system, so I had to search for them by myself, and the googling did not help at all.


I guess that's true for the stable version of Debian but, at least at the time of writing, the file list for the unstable Debian package claims that kyra.dat is included. (I don't remember which was the first version of ScummVM to bundle the auxiliary data files, so it may be ScummVM that has changed, not Debian.)
 Reply with quote  
Post Wed Jan 20, 2010 12:52 pm 
 View user's profile Send private message
  Display posts from previous:      
Reply to topic

Forum Jump:
 



Forum Rules:
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum

 

Powered by phpBB © 2001, 2006 phpBB Group
Forum design by ScummVM team, icons by raina
curved edge   curved edge